from orchestrator.domain import SUBSCRIPTION_MODEL_REGISTRY

from products.product_types.trunk import Trunk
from products.product_types.trunk_config import TrunkConfig
from products.product_types.trunk_config_common import TrunkConfigCommon
from products.product_types.trunk_config_side import TrunkConfigSide

SUBSCRIPTION_MODEL_REGISTRY.update(
    {
        "Trunk": Trunk,
        "Trunk Config": TrunkConfig,
        "Trunk Config Common": TrunkConfigCommon,
        "Trunk Config Side": TrunkConfigSide,
    }
)
